View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001521aMuleExternal Connpublic2009-05-17 03:322010-01-30 09:00
Reporterbvitnik 
Assigned ToGonoszTopi 
PrioritynormalSeverityminorReproducibilityalways
StatusassignedResolutionopen 
PlatformOSOS Version
Product Version2.2.5 
Target VersionFixed in Version 
Summary0001521: amuleweb doesn't close TCP connection correctly.
DescriptionTCP connections made to amuleweb never close. They end up in CLOSE_WAIT state forever. As exlained here -> http://www.sunmanagers.org/pipermail/summaries/2006-January/007068.html [^] , the problem is probably in a socket that is not closed (or not closed properly).
Additional InformationFound it by accident in v2.2.4 but after upgrading it to v2.2.5, the problem is still there. aMule was running for days and when I ran "lsof -i", I saw a huge number of TCP connections with CLOSE_WAIT state. Not a big problem but it can be considered as memory leak.

Steps to reproduce:

1. Run aMule with amuleweb
2. Run browser and go to amuleweb address
3. Login and logout several times
4. Close browser
5. Run "lsof -i | grep amuleweb" in terminal

You should see numerous TCP connections with CLOSE_WAIT state.
TagsNo tags attached.
Fixed in Revision
Operating SystemLinux
Attached Files

- Relationships

-  Notes
(0003136)
bvitnik (reporter)
2009-05-17 04:09

There is an extra "," at the end of the supplied link in description so it doesn't work when you click. Report editing is disabled :(.
(0003137)
GonoszTopi (administrator)
2009-05-19 01:21

Fixed link.
(0003375)
otaku (reporter)
2010-01-30 09:00

I have the same situation on my NAS (ARM processor) running amuled/amuleweb 2.2.6

When I use amuleweb with firefox, at the end of page rendering, the browser still waiting that page transfer ends.

It might be caused by this bug?
Should I open a new issue?


Regards.

- Issue History
Date Modified Username Field Change
2009-05-17 03:32 bvitnik New Issue
2009-05-17 03:32 bvitnik Operating System => Linux
2009-05-17 04:09 bvitnik Note Added: 0003136
2009-05-19 01:20 GonoszTopi Summary amuleweb doesn't close TCP connection correctly. => amuleweb doesn\'t close TCP connection correctly.
2009-05-19 01:20 GonoszTopi Description Updated
2009-05-19 01:20 GonoszTopi Additional Information Updated
2009-05-19 01:21 GonoszTopi Note Added: 0003137
2009-05-19 01:33 GonoszTopi Status new => assigned
2009-05-19 01:33 GonoszTopi Assigned To => GonoszTopi
2010-01-30 09:00 otaku Note Added: 0003375


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker